Bug 63518 - obj_load.c will not build after configuring with --target=mipsbe-linux-gnu
Summary: obj_load.c will not build after configuring with --target=mipsbe-linux-gnu
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: modutils   
(Show other bugs)
Version: 7.2
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-04-15 14:25 UTC by Rick Moseley
Modified: 2014-03-17 02:27 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-07-23 20:38:31 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Rick Moseley 2002-04-15 14:25:23 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.8) Gecko/20020205

Description of problem:
After configuring modutils using "./configure --target=mipsbe-linux-gnu"
obj_load.c fails to compile complaining that "ELFDATAM" is not defined

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.install modutils-2.4.13-0.7 (or any other version I think)
2.configure using "./configure --target mipdbe-linux-gnu
3.use make to try and build the package
	

Actual Results:  When obj_load.c tries to compile it errors out complainig that
the symbol "ELFDATAM" is not defined.  This symbol is defined in the include
file "../include/mips_elf.h" file in the package.

Expected Results:  the package should have built

Additional info:

gcc -O2 -Wall -I./../include -D_GNU_SOURCE  -DCONFIG_ROOT_CHECK_OFF=0  
-DELF_MACHINE_H='"elf_mips.h"' -DARCH_mips -c -o obj_load.o obj_load.c
obj_load.c: In function `obj_load':
obj_load.c:69: `ELFDATAM' undeclared (first use in this function)
obj_load.c:69: (Each undeclared identifier is reported only once
obj_load.c:69: for each function it appears in.)
make[1]: *** [obj_load.o] Error 1
make[1]: Leaving directory `/usr/src/redhat/BUILD/modutils-2.4.13/obj'
make: *** [all] Error 2

Comment 1 Rick Moseley 2002-04-15 14:43:00 UTC
sorry about that, that should be will not build with --target=mipsbe-linux-gnu

Comment 2 Bill Nottingham 2002-07-23 20:38:27 UTC
Does your compiler define one of __MIPSEB__ or __MIPSEL__?

Comment 3 Bill Nottingham 2002-11-25 21:53:44 UTC
closed, no response.


Note You need to log in before you can comment on or make changes to this bug.